package com.jiayue.ipfcst.common.data.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 数据对象类型枚举
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/19 8:59
 */
@Getter
@AllArgsConstructor
public enum DataObjectTypeEnum {
	E1(1, "实际功率"),
	E2(2, "气象站"),
	E3(3, "逆变器"),
	E4(4, "测风塔"),
	E5(5, "风机"),
	E6(6, "可用超短期"),
	E7(7, "可用短期"),
	E8(8, "理论超短期"),
	E9(9, "理论短期"),
	E10(10, "可用功率"),
	E11(11, "理论功率"),
	E12(12, "站内受阻功率"),
	E13(13, "站外受阻功率"),
	E14(14, "装机容量"),
	E15(15, "开机容量"),
	E16(16, "并网设备数"),
	E17(17, "告警信息");
	private Integer code;
	private String message;
}
